GNU bug report logs - #58569
[PATCH] gnu packages gnome-console: Remove nautilus extension

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Mája Tomášek <maya.tomasek@HIDDEN>; Keywords: moreinfo patch; Done: Liliana Marie Prikler <liliana.prikler@HIDDEN>; Maintainer for guix-patches is guix-patches@HIDDEN.
bug marked as fixed in version 99ba4ddb03b396f56764a25317f40d4501380704, send any further explanations to 58569 <at> debbugs.gnu.org and Mája Tomášek <maya.tomasek@HIDDEN> Request was from Liliana Marie Prikler <liliana.prikler@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) moreinfo. Request was from Christopher Baines <mail@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 58569 <at> debbugs.gnu.org:


Received: (at 58569) by debbugs.gnu.org; 25 Oct 2022 06:00:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 25 02:00:10 2022
Received: from localhost ([127.0.0.1]:50095 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1onCyw-0003gY-NT
	for submit <at> debbugs.gnu.org; Tue, 25 Oct 2022 02:00:10 -0400
Received: from mailrelay.tugraz.at ([129.27.2.202]:45436)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1onCyu-0003fH-61
 for 58569 <at> debbugs.gnu.org; Tue, 25 Oct 2022 02:00:09 -0400
Received: from lprikler-laptop.ist.intra (gw.ist.tugraz.at [129.27.202.101])
 by mailrelay.tugraz.at (Postfix) with ESMTPSA id 4MxLrL5stsz3wk4;
 Tue, 25 Oct 2022 08:00:02 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tugraz.at;
 s=mailrelay; t=1666677603;
 bh=eNTPW924qUYbe5cCN+Unom6uGiysfqp716oriZjVax4=;
 h=Subject:From:To:Cc:Date:In-Reply-To:References;
 b=Kdw+7FXgcNrSMTf3SZqhCP7qEGovpZMuzwAfBNzaMTe/dwKtA6u1vGO62kR07GlQN
 m+xI23fLXFzNNbRIz1WM9V17P/qOjF2uCyAOn8FB3jNpYHBP7f+vIMaQS2fT1xgJAT
 XGBYfMX0sCEBG617H1ypnv34vT+Ka7/6mgT3DoC0=
Message-ID: <19e4c0df760dd4328e96cfb2d87bc612f3e18239.camel@HIDDEN>
Subject: Re: [bug#58569] [PATCH] gnu packages gnome-console: Remove nautilus
 extension
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
To: =?UTF-8?Q?M=C3=A1ja_Tom=C3=A1=C5=A1ek?= <maya.tomasek@HIDDEN>, 
 Dominic Martinez <dom@HIDDEN>
Date: Tue, 25 Oct 2022 07:59:59 +0200
In-Reply-To: <87pmegevl9.fsf@HIDDEN>
References: <87sfjnad0i.fsf@HIDDEN>
 <e6c3ddc1e9bd689ef6c7fa1764278309e02a229a.camel@HIDDEN>
 <875ygie81r.fsf@HIDDEN>
 <01dce84767493f80121dee534fbd9edb7225a620.camel@HIDDEN>
 <87mt9sssxg.fsf@HIDDEN> <8735biclnj.fsf@HIDDEN>
 <7c3bda7d322d296244bdd9be5493d53509b928bc.camel@HIDDEN>
 <87pmegevl9.fsf@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
User-Agent: Evolution 3.46.0 
MIME-Version: 1.0
X-TUG-Backscatter-control: waObeELIUl4ypBWmcn/8wQ
X-Spam-Scanner: SpamAssassin 3.003001 
X-Spam-Score-relay: -1.9
X-Scanned-By: MIMEDefang 2.74 on 129.27.10.117
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 58569
Cc: 58569 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Am Montag, dem 24.10.2022 um 23:54 +0200 schrieb M=C3=A1ja Tom=C3=A1=C5=A1e=
k:
> I think that nautilus loads this library by checking for objects in
> NAUTILUS_EXTENSION_PATH and loading them into the system at
> runtime. Simply unsetting the variable fixes the issue. So in my
> opinion nautilus cannot link the wrong file, as it does on runtime
> and that is set to a variable that essentialy links it to the same
> file.t
Ahh, you're right of course.  Still, when debugging against guix shell,
you ought to take the shell cache into account, which can obscure bugs.
In either case, check very carefully that the two libkgx-nautilus
actually point to the same file.


Cheers




Information forwarded to guix-patches@HIDDEN:
bug#58569; Package guix-patches. Full text available.

Message received at 58569 <at> debbugs.gnu.org:


Received: (at 58569) by debbugs.gnu.org; 24 Oct 2022 21:54:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 24 17:54:32 2022
Received: from localhost ([127.0.0.1]:49682 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1on5Oy-00037k-6j
	for submit <at> debbugs.gnu.org; Mon, 24 Oct 2022 17:54:32 -0400
Received: from knopi.disroot.org ([178.21.23.139]:48200)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maya.tomasek@HIDDEN>) id 1on5Ov-00037b-DR
 for 58569 <at> debbugs.gnu.org; Mon, 24 Oct 2022 17:54:30 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id BFEB04EB6B;
 Mon, 24 Oct 2022 23:54:28 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id KDSOx3Lk4H3u; Mon, 24 Oct 2022 23:54:27 +0200 (CEST)
From: =?utf-8?B?TcOhamEgVG9tw6HFoWVr?= <maya.tomasek@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1666648467; bh=kQ42qflexknzwiIDOJ3m3CLrr7Cg/W56F1MIoZZBtkc=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date;
 b=U3aynxzDHn+Q3eeRFF23Ilqf5DEk8LMDp4mtodOCH2mCo9SOIimiMOy4Fp7FdsHUq
 JmUzlMuXGTfkF546Uqy2mk7xD2FVWwAcKuKWZ39IsJraEn4yzAiLPzn34yuEF31IIJ
 S2b/ermGR8gHsokfW3wEXiLsRB15YTFTREbksFm56Y8IhakyAnwEUsURerYLiMkobz
 l0s3AVscOgpXAV9o7Xh4/kJr3f9eP+UuIJNOc13cZ8sYDC3GatNrnuNhJ+T53uXdbQ
 w1ehZRwRK+n53otoU2HItE7fkHN0l3rGT4FKv+yWfvpcKwcZLJ+7f5av/boL3tTUSP
 1j6HEs9k6L0hQ==
To: Liliana Marie Prikler <liliana.prikler@HIDDEN>, Dominic Martinez
 <dom@HIDDEN>
Subject: Re: [bug#58569] [PATCH] gnu packages gnome-console: Remove nautilus
 extension
In-Reply-To: <7c3bda7d322d296244bdd9be5493d53509b928bc.camel@HIDDEN>
References: <87sfjnad0i.fsf@HIDDEN>
 <e6c3ddc1e9bd689ef6c7fa1764278309e02a229a.camel@HIDDEN>
 <875ygie81r.fsf@HIDDEN>
 <01dce84767493f80121dee534fbd9edb7225a620.camel@HIDDEN>
 <87mt9sssxg.fsf@HIDDEN> <8735biclnj.fsf@HIDDEN>
 <7c3bda7d322d296244bdd9be5493d53509b928bc.camel@HIDDEN>
Date: Mon, 24 Oct 2022 23:54:26 +0200
Message-ID: <87pmegevl9.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 58569
Cc: 58569 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Liliana Marie Prikler <liliana.prikler@HIDDEN> writes:

> Am Donnerstag, dem 20.10.2022 um 21:58 +0200 schrieb M=C3=A1ja Tom=C3=A1=
=C5=A1ek:
>> I have now verified, that it is indeed not a binary corruption issue.
>> As both in normal and in the pure environment the libkgx-nautilus.so
>> are the same file.
> Your nautilus could still be corrupted, though, linking to the wrong
> libkgx-nautilus.so
>
> Cheers

I think that nautilus loads this library by checking for objects in
NAUTILUS_EXTENSION_PATH and loading them into the system at
runtime. Simply unsetting the variable fixes the issue. So in my opinion
nautilus cannot link the wrong file, as it does on runtime and that is
set to a variable that essentialy links it to the same file.

Sidenote, nautilus is actually not involved in the process, as
gnome-console is not it's input. (It's actually the other way around)

Cheers




Information forwarded to guix-patches@HIDDEN:
bug#58569; Package guix-patches. Full text available.

Message received at 58569 <at> debbugs.gnu.org:


Received: (at 58569) by debbugs.gnu.org; 24 Oct 2022 21:50:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 24 17:50:18 2022
Received: from localhost ([127.0.0.1]:49674 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1on5Ks-00031U-7W
	for submit <at> debbugs.gnu.org; Mon, 24 Oct 2022 17:50:18 -0400
Received: from knopi.disroot.org ([178.21.23.139]:50612)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maya.tomasek@HIDDEN>) id 1on5Kp-00031K-2g
 for 58569 <at> debbugs.gnu.org; Mon, 24 Oct 2022 17:50:16 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id E436E4EB77;
 Mon, 24 Oct 2022 23:50:13 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with UTF8SMTP id AQuMiOovV5wX; Mon, 24 Oct 2022 23:50:12 +0200 (CEST)
From: =?utf-8?B?TcOhamEgVG9tw6HFoWVr?= <maya.tomasek@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1666648212; bh=6pKI+9vriPrhUyL17kVF3fCIqdsGEwC854bSBiXjlhE=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date;
 b=YnYC+F1YKtNtIu4qFc/ExlIwhprPcwmmK5BFX939aOZmhnc3B3Kh+bbOVqgdYVtTO
 2eF6IB960qyg3Jm9srbsvi/UBMMggbFP/1c5NnmEzzLwvu7jfy9vEWaAbkZ9vGGoL8
 hLV0FwiKSV1Z2ZHVmfCTKrisEDrn7C/wH2bUj1WyvQlFPDao+bDUWVltxBltJs+q9X
 z73yENf0GlHcYOHFLK8C4/uJ1yY7XL1GcH8HWghBg9ZXnspRTMmRiTZDN3eEtA8qXz
 HdrWtXKsAhKDOdYfG+13f1FL92JNSH6PgAPR5SbF4oaMDxMtkS9R4QakZ0jwzox2Sq
 Ti8pf/9sZjUSQ==
To: Dominic Martinez <dom@HIDDEN>, Liliana Marie Prikler
 <liliana.prikler@HIDDEN>
Subject: Re: [bug#58569] [PATCH] gnu packages gnome-console: Remove nautilus
 extension
In-Reply-To: <87mt9sssxg.fsf@HIDDEN>
References: <87sfjnad0i.fsf@HIDDEN>
 <e6c3ddc1e9bd689ef6c7fa1764278309e02a229a.camel@HIDDEN>
 <875ygie81r.fsf@HIDDEN>
 <01dce84767493f80121dee534fbd9edb7225a620.camel@HIDDEN>
 <87mt9sssxg.fsf@HIDDEN>
Date: Mon, 24 Oct 2022 23:50:06 +0200
Message-ID: <87y1t4evsh.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 58569
Cc: 58569 <at> debbugs.gnu.org, guix-patches@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Dominic Martinez <dom@HIDDEN> writes:

> Liliana Marie Prikler <liliana.prikler@HIDDEN> writes:
>
>> IIRC you have to --verify=3Dcontents,repair.  Note that repair=20
>> might
>> still not work due to gnome-console =E2=80=93 like all gnome packages =
=E2=80=93
>> receiving grafts, which is known to mess with guix build=20
>> --repair.
>
> I'm encountering the same issue, so it seems strange for it to be=20
> a spurious corruption. Just chiming in in case this doesn't work.

Just an fyi, I have temporarily fixed the issue by unsetting
NAUTILUS_EXTENSION_PATH environment variable

This is only a temporary fix, but it means that you can use your desktop
normally in the meantime.




Information forwarded to guix-patches@HIDDEN:
bug#58569; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 24 Oct 2022 21:50:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 24 17:50:24 2022
Received: from localhost ([127.0.0.1]:49677 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1on5Ky-00031n-HJ
	for submit <at> debbugs.gnu.org; Mon, 24 Oct 2022 17:50:24 -0400
Received: from lists.gnu.org ([209.51.188.17]:42282)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maya.tomasek@HIDDEN>) id 1on5Ku-00031d-7a
 for submit <at> debbugs.gnu.org; Mon, 24 Oct 2022 17:50:20 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <maya.tomasek@HIDDEN>)
 id 1on5Ku-0005eu-2A
 for guix-patches@HIDDEN; Mon, 24 Oct 2022 17:50:20 -0400
Received: from knopi.disroot.org ([178.21.23.139])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <maya.tomasek@HIDDEN>)
 id 1on5Ks-0002hi-62
 for guix-patches@HIDDEN; Mon, 24 Oct 2022 17:50:19 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id E436E4EB77;
 Mon, 24 Oct 2022 23:50:13 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with UTF8SMTP id AQuMiOovV5wX; Mon, 24 Oct 2022 23:50:12 +0200 (CEST)
From: =?utf-8?B?TcOhamEgVG9tw6HFoWVr?= <maya.tomasek@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1666648212; bh=6pKI+9vriPrhUyL17kVF3fCIqdsGEwC854bSBiXjlhE=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date;
 b=YnYC+F1YKtNtIu4qFc/ExlIwhprPcwmmK5BFX939aOZmhnc3B3Kh+bbOVqgdYVtTO
 2eF6IB960qyg3Jm9srbsvi/UBMMggbFP/1c5NnmEzzLwvu7jfy9vEWaAbkZ9vGGoL8
 hLV0FwiKSV1Z2ZHVmfCTKrisEDrn7C/wH2bUj1WyvQlFPDao+bDUWVltxBltJs+q9X
 z73yENf0GlHcYOHFLK8C4/uJ1yY7XL1GcH8HWghBg9ZXnspRTMmRiTZDN3eEtA8qXz
 HdrWtXKsAhKDOdYfG+13f1FL92JNSH6PgAPR5SbF4oaMDxMtkS9R4QakZ0jwzox2Sq
 Ti8pf/9sZjUSQ==
To: Dominic Martinez <dom@HIDDEN>, Liliana Marie Prikler
 <liliana.prikler@HIDDEN>
Subject: Re: [bug#58569] [PATCH] gnu packages gnome-console: Remove nautilus
 extension
In-Reply-To: <87mt9sssxg.fsf@HIDDEN>
References: <87sfjnad0i.fsf@HIDDEN>
 <e6c3ddc1e9bd689ef6c7fa1764278309e02a229a.camel@HIDDEN>
 <875ygie81r.fsf@HIDDEN>
 <01dce84767493f80121dee534fbd9edb7225a620.camel@HIDDEN>
 <87mt9sssxg.fsf@HIDDEN>
Date: Mon, 24 Oct 2022 23:50:06 +0200
Message-ID: <87y1t4evsh.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
Received-SPF: pass client-ip=178.21.23.139;
 envelope-from=maya.tomasek@HIDDEN; helo=knopi.disroot.org
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: 58569 <at> debbugs.gnu.org, guix-patches@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

Dominic Martinez <dom@HIDDEN> writes:

> Liliana Marie Prikler <liliana.prikler@HIDDEN> writes:
>
>> IIRC you have to --verify=3Dcontents,repair.  Note that repair=20
>> might
>> still not work due to gnome-console =E2=80=93 like all gnome packages =
=E2=80=93
>> receiving grafts, which is known to mess with guix build=20
>> --repair.
>
> I'm encountering the same issue, so it seems strange for it to be=20
> a spurious corruption. Just chiming in in case this doesn't work.

Just an fyi, I have temporarily fixed the issue by unsetting
NAUTILUS_EXTENSION_PATH environment variable

This is only a temporary fix, but it means that you can use your desktop
normally in the meantime.




Information forwarded to guix-patches@HIDDEN:
bug#58569; Package guix-patches. Full text available.

Message received at 58569 <at> debbugs.gnu.org:


Received: (at 58569) by debbugs.gnu.org; 21 Oct 2022 06:10:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 21 02:10:03 2022
Received: from localhost ([127.0.0.1]:36696 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ollEJ-0003a2-0E
	for submit <at> debbugs.gnu.org; Fri, 21 Oct 2022 02:10:03 -0400
Received: from mailrelay.tugraz.at ([129.27.2.202]:38578)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1ollEH-0003ZU-24
 for 58569 <at> debbugs.gnu.org; Fri, 21 Oct 2022 02:10:01 -0400
Received: from lprikler-laptop.ist.intra (gw.ist.tugraz.at [129.27.202.101])
 by mailrelay.tugraz.at (Postfix) with ESMTPSA id 4MtvFW432fz3whv;
 Fri, 21 Oct 2022 08:09:51 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tugraz.at;
 s=mailrelay; t=1666332591;
 bh=PfwGPsA/i78KwBy94JFoSSgof+zzM0TqG+Pe5X+RfCI=;
 h=Subject:From:To:Cc:Date:In-Reply-To:References;
 b=UvVvbG0JkPQtTfrQK9lzRHpFHwN51nSaT25jMkXXtOdoEJGPX7vSi4+V8g5/Hlb0r
 /vFByVhismD1r+VDkrx6w3h3yzzKOG/7fx1AD1/jJOMIe7Hz4beLFgIKhuxGCnDdC/
 TXL9+/M0Cns03q+zrhIn044SBAf0xouFOb9ev/sk=
Message-ID: <7c3bda7d322d296244bdd9be5493d53509b928bc.camel@HIDDEN>
Subject: Re: [bug#58569] [PATCH] gnu packages gnome-console: Remove nautilus
 extension
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
To: =?UTF-8?Q?M=C3=A1ja_Tom=C3=A1=C5=A1ek?= <maya.tomasek@HIDDEN>, 
 Dominic Martinez <dom@HIDDEN>
Date: Fri, 21 Oct 2022 08:09:45 +0200
In-Reply-To: <8735biclnj.fsf@HIDDEN>
References: <87sfjnad0i.fsf@HIDDEN>
 <e6c3ddc1e9bd689ef6c7fa1764278309e02a229a.camel@HIDDEN>
 <875ygie81r.fsf@HIDDEN>
 <01dce84767493f80121dee534fbd9edb7225a620.camel@HIDDEN>
 <87mt9sssxg.fsf@HIDDEN> <8735biclnj.fsf@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
User-Agent: Evolution 3.46.0 
MIME-Version: 1.0
X-TUG-Backscatter-control: waObeELIUl4ypBWmcn/8wQ
X-Spam-Scanner: SpamAssassin 3.003001 
X-Spam-Score-relay: -1.9
X-Scanned-By: MIMEDefang 2.74 on 129.27.10.116
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 58569
Cc: 58569 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Am Donnerstag, dem 20.10.2022 um 21:58 +0200 schrieb M=C3=A1ja Tom=C3=A1=C5=
=A1ek:
> I have now verified, that it is indeed not a binary corruption issue.
> As both in normal and in the pure environment the libkgx-nautilus.so
> are the same file.
Your nautilus could still be corrupted, though, linking to the wrong
libkgx-nautilus.so

Cheers




Information forwarded to guix-patches@HIDDEN:
bug#58569; Package guix-patches. Full text available.

Message received at 58569 <at> debbugs.gnu.org:


Received: (at 58569) by debbugs.gnu.org; 20 Oct 2022 19:58:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 20 15:58:39 2022
Received: from localhost ([127.0.0.1]:36190 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1olbgd-0004HX-0C
	for submit <at> debbugs.gnu.org; Thu, 20 Oct 2022 15:58:39 -0400
Received: from knopi.disroot.org ([178.21.23.139]:43938)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maya.tomasek@HIDDEN>) id 1olbgX-0004HE-5u
 for 58569 <at> debbugs.gnu.org; Thu, 20 Oct 2022 15:58:37 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id B6D0E4E808;
 Thu, 20 Oct 2022 21:58:31 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id FotjcAlTyM54; Thu, 20 Oct 2022 21:58:30 +0200 (CEST)
From: =?utf-8?B?TcOhamEgVG9tw6HFoWVr?= <maya.tomasek@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1666295908; bh=6UXjX2SHXsUZOVPyD8dTRsmjHAzOWWzy5Pum+6rB0Ic=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date;
 b=Nwv/hEI0vJDg1P+SKd2V5Fjs4OFmSqmT6QuLMdEDMGDd/iOhjgGyKBijQAZ+5MBac
 sE/lE1kFauI/DUToC1GrFv6nk6/+B8goFYNLxeuR1vR0MmKhe9xpwGUnnUNVuhMfii
 T1vfJFmA5WBcEQIvFxm3UC/TCR0oLjsri0lHEoTIDfJWGEOQapEgc8Z9SWKVjbWKVV
 H0RYut/Pv/8X6NgBLjh2lLYmgkPVrTfVloj4DqJ4MGzo1ovATMaFPtbowqApugISA5
 UNQVpUy24b/rifrIArOtfSat5mf/Cxen8OUfguYGrqDRZPSuJn1O0U518tMUB0M/h+
 XDW+Z5j/rVm7w==
To: Dominic Martinez <dom@HIDDEN>, Liliana Marie Prikler
 <liliana.prikler@HIDDEN>
Subject: Re: [bug#58569] [PATCH] gnu packages gnome-console: Remove nautilus
 extension
In-Reply-To: <87mt9sssxg.fsf@HIDDEN>
References: <87sfjnad0i.fsf@HIDDEN>
 <e6c3ddc1e9bd689ef6c7fa1764278309e02a229a.camel@HIDDEN>
 <875ygie81r.fsf@HIDDEN>
 <01dce84767493f80121dee534fbd9edb7225a620.camel@HIDDEN>
 <87mt9sssxg.fsf@HIDDEN>
Date: Thu, 20 Oct 2022 21:58:24 +0200
Message-ID: <8735biclnj.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 58569
Cc: 58569 <at> debbugs.gnu.org, guix-patches@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Dominic Martinez <dom@HIDDEN> writes:

> Liliana Marie Prikler <liliana.prikler@HIDDEN> writes:
>
>> IIRC you have to --verify=3Dcontents,repair.  Note that repair=20
>> might
>> still not work due to gnome-console =E2=80=93 like all gnome packages =
=E2=80=93
>> receiving grafts, which is known to mess with guix build=20
>> --repair.
>
> I'm encountering the same issue, so it seems strange for it to be=20
> a spurious corruption. Just chiming in in case this doesn't work.

I have tested everything that has been suggested, but nothing really
worked. When I try apply transform on gnome
(options->transformation
'((with-debug-info . "gnome-console")))
it does not allow me to do so. (Apparently there is a version conflict.

I know that this issue is not present on
guix shell --pure nautilus gnome-console

And is also fixed with
guix shell --with-debug-info=3Dgnome-console nautilus gnome-console

But I cannot upgrade gnome-console, or at least when I tried rollbacking
to a previous version (about a month ago) then deleting all generations,
running guix gc. But the issue is back when I ran guix system
reconfigure.

I have now verified, that it is indeed not a binary corruption issue. As bo=
th
in normal and in the pure environment the libkgx-nautilus.so are the
same file.

The fact that it does not occur when using the
--with-debug-info=3Dgnome-console option is kind of a bummer, as I cannot
use gdb to debug gnome-console :D

Regards

Maya




Information forwarded to guix-patches@HIDDEN:
bug#58569; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 20 Oct 2022 19:58:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 20 15:58:40 2022
Received: from localhost ([127.0.0.1]:36192 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1olbgd-0004HZ-CS
	for submit <at> debbugs.gnu.org; Thu, 20 Oct 2022 15:58:39 -0400
Received: from lists.gnu.org ([209.51.188.17]:48776)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maya.tomasek@HIDDEN>) id 1olbgb-0004HQ-H4
 for submit <at> debbugs.gnu.org; Thu, 20 Oct 2022 15:58:37 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <maya.tomasek@HIDDEN>)
 id 1olbga-0006dM-S2
 for guix-patches@HIDDEN; Thu, 20 Oct 2022 15:58:37 -0400
Received: from knopi.disroot.org ([178.21.23.139])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <maya.tomasek@HIDDEN>)
 id 1olbgZ-0005iw-Er
 for guix-patches@HIDDEN; Thu, 20 Oct 2022 15:58:36 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id B6D0E4E808;
 Thu, 20 Oct 2022 21:58:31 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id FotjcAlTyM54; Thu, 20 Oct 2022 21:58:30 +0200 (CEST)
From: =?utf-8?B?TcOhamEgVG9tw6HFoWVr?= <maya.tomasek@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1666295908; bh=6UXjX2SHXsUZOVPyD8dTRsmjHAzOWWzy5Pum+6rB0Ic=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date;
 b=Nwv/hEI0vJDg1P+SKd2V5Fjs4OFmSqmT6QuLMdEDMGDd/iOhjgGyKBijQAZ+5MBac
 sE/lE1kFauI/DUToC1GrFv6nk6/+B8goFYNLxeuR1vR0MmKhe9xpwGUnnUNVuhMfii
 T1vfJFmA5WBcEQIvFxm3UC/TCR0oLjsri0lHEoTIDfJWGEOQapEgc8Z9SWKVjbWKVV
 H0RYut/Pv/8X6NgBLjh2lLYmgkPVrTfVloj4DqJ4MGzo1ovATMaFPtbowqApugISA5
 UNQVpUy24b/rifrIArOtfSat5mf/Cxen8OUfguYGrqDRZPSuJn1O0U518tMUB0M/h+
 XDW+Z5j/rVm7w==
To: Dominic Martinez <dom@HIDDEN>, Liliana Marie Prikler
 <liliana.prikler@HIDDEN>
Subject: Re: [bug#58569] [PATCH] gnu packages gnome-console: Remove nautilus
 extension
In-Reply-To: <87mt9sssxg.fsf@HIDDEN>
References: <87sfjnad0i.fsf@HIDDEN>
 <e6c3ddc1e9bd689ef6c7fa1764278309e02a229a.camel@HIDDEN>
 <875ygie81r.fsf@HIDDEN>
 <01dce84767493f80121dee534fbd9edb7225a620.camel@HIDDEN>
 <87mt9sssxg.fsf@HIDDEN>
Date: Thu, 20 Oct 2022 21:58:24 +0200
Message-ID: <8735biclnj.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
Received-SPF: pass client-ip=178.21.23.139;
 envelope-from=maya.tomasek@HIDDEN; helo=knopi.disroot.org
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: 58569 <at> debbugs.gnu.org, guix-patches@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

Dominic Martinez <dom@HIDDEN> writes:

> Liliana Marie Prikler <liliana.prikler@HIDDEN> writes:
>
>> IIRC you have to --verify=3Dcontents,repair.  Note that repair=20
>> might
>> still not work due to gnome-console =E2=80=93 like all gnome packages =
=E2=80=93
>> receiving grafts, which is known to mess with guix build=20
>> --repair.
>
> I'm encountering the same issue, so it seems strange for it to be=20
> a spurious corruption. Just chiming in in case this doesn't work.

I have tested everything that has been suggested, but nothing really
worked. When I try apply transform on gnome
(options->transformation
'((with-debug-info . "gnome-console")))
it does not allow me to do so. (Apparently there is a version conflict.

I know that this issue is not present on
guix shell --pure nautilus gnome-console

And is also fixed with
guix shell --with-debug-info=3Dgnome-console nautilus gnome-console

But I cannot upgrade gnome-console, or at least when I tried rollbacking
to a previous version (about a month ago) then deleting all generations,
running guix gc. But the issue is back when I ran guix system
reconfigure.

I have now verified, that it is indeed not a binary corruption issue. As bo=
th
in normal and in the pure environment the libkgx-nautilus.so are the
same file.

The fact that it does not occur when using the
--with-debug-info=3Dgnome-console option is kind of a bummer, as I cannot
use gdb to debug gnome-console :D

Regards

Maya




Information forwarded to guix-patches@HIDDEN:
bug#58569; Package guix-patches. Full text available.

Message received at 58569 <at> debbugs.gnu.org:


Received: (at 58569) by debbugs.gnu.org; 18 Oct 2022 21:50:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 18 17:50:16 2022
Received: from localhost ([127.0.0.1]:54989 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1okuTY-0006o8-6U
	for submit <at> debbugs.gnu.org; Tue, 18 Oct 2022 17:50:16 -0400
Received: from out0.migadu.com ([94.23.1.103]:39709)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dom@HIDDEN>) id 1okuTV-0006nw-Ky
 for 58569 <at> debbugs.gnu.org; Tue, 18 Oct 2022 17:50:15 -0400
References: <87sfjnad0i.fsf@HIDDEN>
 <e6c3ddc1e9bd689ef6c7fa1764278309e02a229a.camel@HIDDEN>
 <875ygie81r.fsf@HIDDEN>
 <01dce84767493f80121dee534fbd9edb7225a620.camel@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=dominicm.dev;
 s=key1; t=1666129812;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 in-reply-to:in-reply-to:references:references;
 bh=cozWgQk8DTYcZxjUvgJy3zWTcn0Cl9XksPzrYyUoR44=;
 b=Z87WrAC+vqBpb1aqr88HhdDWkxjoxlMz60Hco5wLZ7BwktFQ3o7C1X/xW63mIq9lkCo6wV
 j5aBMJajRHejx6sp4NwDqOfijgHbSSxEizX7t68x4WyNdSpBi4HDNP1b6OyNaZuPbpIWbz
 ygU2RsL78i02/26mbdZK0EPb7fJk8sZ8WhKo/1OgIyimvCZzGd4bC1sQHjh7T8suGOMaXd
 eZAuFtTU/kwVQOy+j+zhtoL6D9yHiUDwkcaDzbSglNN0gKNiqyDpIaZnH7lp5nXUkyzbtQ
 mKvMc2xU7HjZ/EmL7FSh0pmDN0hrpY9X5zVpwnBXoyFEk50fMMyvaV9fnGfaFQ==
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
From: Dominic Martinez <dom@HIDDEN>
To: Liliana Marie Prikler <liliana.prikler@HIDDEN>
Subject: Re: [bug#58569] [PATCH] gnu packages gnome-console: Remove nautilus
 extension
Date: Tue, 18 Oct 2022 17:48:46 -0400
In-reply-to: <01dce84767493f80121dee534fbd9edb7225a620.camel@HIDDEN>
Message-ID: <87mt9sssxg.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Migadu-Flow: FLOW_OUT
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 58569
Cc: =?utf-8?B?TcOhamEgVG9tw6HFoWVr?= <maya.tomasek@HIDDEN>,
 58569 <at> debbugs.gnu.org, guix-patches@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable


Liliana Marie Prikler <liliana.prikler@HIDDEN> writes:

> IIRC you have to --verify=3Dcontents,repair.  Note that repair=20
> might
> still not work due to gnome-console =E2=80=93 like all gnome packages =E2=
=80=93
> receiving grafts, which is known to mess with guix build=20
> --repair.

I'm encountering the same issue, so it seems strange for it to be=20
a spurious corruption. Just chiming in in case this doesn't work.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iHUEARYIAB0WIQRtp6gAxeTcYmhxQ/1Bnl1fEVBrXQUCY08fiwAKCRBBnl1fEVBr
XeJXAP4hadTMZgwNat1T3s0l/U91sL+RsCh8u0WAGUq+nSi4IgD9GBBF6CiILt3T
aTDN/rK6tKSWI+CyBfc4glrUfll8VQo=
=X9j5
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#58569; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 18 Oct 2022 21:50:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 18 17:50:22 2022
Received: from localhost ([127.0.0.1]:54993 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1okuTe-0006ob-Hx
	for submit <at> debbugs.gnu.org; Tue, 18 Oct 2022 17:50:22 -0400
Received: from lists.gnu.org ([209.51.188.17]:51332)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dom@HIDDEN>) id 1okuTc-0006oQ-0v
 for submit <at> debbugs.gnu.org; Tue, 18 Oct 2022 17:50:21 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:35370)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <dom@HIDDEN>) id 1okuTb-0002ws-8p
 for guix-patches@HIDDEN; Tue, 18 Oct 2022 17:50:19 -0400
Received: from out0.migadu.com ([2001:41d0:2:267::]:39711)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <dom@HIDDEN>) id 1okuTY-0002Cp-Ui
 for guix-patches@HIDDEN; Tue, 18 Oct 2022 17:50:18 -0400
References: <87sfjnad0i.fsf@HIDDEN>
 <e6c3ddc1e9bd689ef6c7fa1764278309e02a229a.camel@HIDDEN>
 <875ygie81r.fsf@HIDDEN>
 <01dce84767493f80121dee534fbd9edb7225a620.camel@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=dominicm.dev;
 s=key1; t=1666129812;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 in-reply-to:in-reply-to:references:references;
 bh=cozWgQk8DTYcZxjUvgJy3zWTcn0Cl9XksPzrYyUoR44=;
 b=Z87WrAC+vqBpb1aqr88HhdDWkxjoxlMz60Hco5wLZ7BwktFQ3o7C1X/xW63mIq9lkCo6wV
 j5aBMJajRHejx6sp4NwDqOfijgHbSSxEizX7t68x4WyNdSpBi4HDNP1b6OyNaZuPbpIWbz
 ygU2RsL78i02/26mbdZK0EPb7fJk8sZ8WhKo/1OgIyimvCZzGd4bC1sQHjh7T8suGOMaXd
 eZAuFtTU/kwVQOy+j+zhtoL6D9yHiUDwkcaDzbSglNN0gKNiqyDpIaZnH7lp5nXUkyzbtQ
 mKvMc2xU7HjZ/EmL7FSh0pmDN0hrpY9X5zVpwnBXoyFEk50fMMyvaV9fnGfaFQ==
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
From: Dominic Martinez <dom@HIDDEN>
To: Liliana Marie Prikler <liliana.prikler@HIDDEN>
Subject: Re: [bug#58569] [PATCH] gnu packages gnome-console: Remove nautilus
 extension
Date: Tue, 18 Oct 2022 17:48:46 -0400
In-reply-to: <01dce84767493f80121dee534fbd9edb7225a620.camel@HIDDEN>
Message-ID: <87mt9sssxg.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Migadu-Flow: FLOW_OUT
Received-SPF: pass client-ip=2001:41d0:2:267::; envelope-from=dom@HIDDEN;
 helo=out0.migadu.com
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_LOW=-0.7, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: =?utf-8?B?TcOhamEgVG9tw6HFoWVr?= <maya.tomasek@HIDDEN>,
 58569 <at> debbugs.gnu.org, guix-patches@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable


Liliana Marie Prikler <liliana.prikler@HIDDEN> writes:

> IIRC you have to --verify=3Dcontents,repair.  Note that repair=20
> might
> still not work due to gnome-console =E2=80=93 like all gnome packages =E2=
=80=93
> receiving grafts, which is known to mess with guix build=20
> --repair.

I'm encountering the same issue, so it seems strange for it to be=20
a spurious corruption. Just chiming in in case this doesn't work.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iHUEARYIAB0WIQRtp6gAxeTcYmhxQ/1Bnl1fEVBrXQUCY08fiwAKCRBBnl1fEVBr
XeJXAP4hadTMZgwNat1T3s0l/U91sL+RsCh8u0WAGUq+nSi4IgD9GBBF6CiILt3T
aTDN/rK6tKSWI+CyBfc4glrUfll8VQo=
=X9j5
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#58569; Package guix-patches. Full text available.

Message received at 58569 <at> debbugs.gnu.org:


Received: (at 58569) by debbugs.gnu.org; 18 Oct 2022 06:20:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 18 02:20:06 2022
Received: from localhost ([127.0.0.1]:50975 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1okfxO-0003SM-Ba
	for submit <at> debbugs.gnu.org; Tue, 18 Oct 2022 02:20:06 -0400
Received: from mailrelay.tugraz.at ([129.27.2.202]:50773)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1okfx9-0003Rd-SZ
 for 58569 <at> debbugs.gnu.org; Tue, 18 Oct 2022 02:20:05 -0400
Received: from lprikler-laptop.ist.intra (gw.ist.tugraz.at [129.27.202.101])
 by mailrelay.tugraz.at (Postfix) with ESMTPSA id 4Ms3cN00C6z3wVk;
 Tue, 18 Oct 2022 08:19:47 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tugraz.at;
 s=mailrelay; t=1666073988;
 bh=8tJsfMoAY1kqKbYNgraSYcRek3BZHuEhKA9WBXGQVfI=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=J7JoAX5cYWd7Ei2rUkcmnUDVJUVxFusf9wuW7fR+ppHZ9/gy8sbmHdkBFp/Bd0rKL
 hr3HIEw5Z2z3SA8N8j3VOxcUiFITQbFfpibtQI3J4nC6BxNEyWU/2zogQl3knFz3on
 CBQ3K0anpRk0ZzVIifT+oECyHUhQwmVYB8Yc5Ris=
Message-ID: <01dce84767493f80121dee534fbd9edb7225a620.camel@HIDDEN>
Subject: Re: [PATCH] gnu packages gnome-console: Remove nautilus extension
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
To: =?UTF-8?Q?M=C3=A1ja_Tom=C3=A1=C5=A1ek?= <maya.tomasek@HIDDEN>, 
 58569 <at> debbugs.gnu.org
Date: Tue, 18 Oct 2022 08:19:47 +0200
In-Reply-To: <875ygie81r.fsf@HIDDEN>
References: <87sfjnad0i.fsf@HIDDEN>
 <e6c3ddc1e9bd689ef6c7fa1764278309e02a229a.camel@HIDDEN>
 <875ygie81r.fsf@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
User-Agent: Evolution 3.46.0 
MIME-Version: 1.0
X-TUG-Backscatter-control: waObeELIUl4ypBWmcn/8wQ
X-Spam-Scanner: SpamAssassin 3.003001 
X-Spam-Score-relay: -1.9
X-Scanned-By: MIMEDefang 2.74 on 129.27.10.116
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 58569
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Am Montag, dem 17.10.2022 um 18:20 +0200 schrieb M=C3=A1ja Tom=C3=A1=C5=A1e=
k:
> Liliana Marie Prikler <liliana.prikler@HIDDEN> writes:
>=20
> > Am Sonntag, dem 16.10.2022 um 19:34 +0200 schrieb M=C3=A1ja Tom=C3=A1=
=C5=A1ek:
> > >=20
> > > Hi,
> > >=20
> > > this patch removes the gnome-console nautilus extension as it
> > > crashes nautilus (at least on my machine).
> > I can confirm it working as intended on at least two separate
> > machines, both configured=20
>=20
> I have pinpointed the issue! I tried the debugging steps and suddenly
> nautilus opened fine.
>=20
> So, the issue is that I have some deffective version of
> libkgx-nautilus.so, which does return NULL list.
>=20
> But, if I provide a different version of gnome-console
> (ie. --with-debug-info=3Dgnome-console) nautilus suddenly opens fine.
>=20
> I have run multiple guix pulls, guix system reconfigure, guix gc
> --verify=3Dcontents but it has not fixed it.
>=20
> It even works when I use run guix shell --pure nautilus gnome-
> console.
>=20
> I am now completely lost.
IIRC you have to --verify=3Dcontents,repair.  Note that repair might
still not work due to gnome-console =E2=80=93 like all gnome packages =E2=
=80=93
receiving grafts, which is known to mess with guix build --repair.

If everything else fails, you can try rolling back to a generation
before gnome-console was built, delete all future generations, gc, and
then rebuild gnome-console.  This should definitely make nautilus work,
under the assumption that your gnome-console build succeeds this time
and no spurious hardware failure turns up.

Cheers




Information forwarded to guix-patches@HIDDEN:
bug#58569; Package guix-patches. Full text available.

Message received at 58569 <at> debbugs.gnu.org:


Received: (at 58569) by debbugs.gnu.org; 17 Oct 2022 16:32:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 17 12:32:00 2022
Received: from localhost ([127.0.0.1]:49725 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1okT1z-0005WH-Vz
	for submit <at> debbugs.gnu.org; Mon, 17 Oct 2022 12:32:00 -0400
Received: from knopi.disroot.org ([178.21.23.139]:33774)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maya.tomasek@HIDDEN>) id 1okT1x-0005W6-Er
 for 58569 <at> debbugs.gnu.org; Mon, 17 Oct 2022 12:31:58 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id E8B0E4DBC4;
 Mon, 17 Oct 2022 18:31:55 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id u_xz2HV92E9n; Mon, 17 Oct 2022 18:31:54 +0200 (CEST)
From: =?utf-8?B?TcOhamEgVG9tw6HFoWVr?= <maya.tomasek@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1666023620; bh=DQKQrX5B8y0SCvsulaQisNyP3Kj5HZxm9imsRyYC+1Y=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=R+WoofhJzSwViNmUFaUulhlNWI/MXFQ1rld1MZ+GhoGNkb3tsAjvyej+pL2YHOlrH
 AzILpqOxg4PsJ7BPOGIUBG3OE8AeCysSKAN8+0As9n8qM9HwF9mO8pbqnMo7VlaXAG
 rGKNK0bPOtXrNWHHSaHIfW6C0Ze2+lq03EcbcuqCRe7IUUKgrl13xEuPHsM2ZksPp8
 XjX9hBWCWIkY1W23GP3UDfbrl+rsZqXa0hLmTr3efP3zWEahS6MkmeuQCz50Z1uOx8
 ZZtxMkx1oCBYt/ma2gOxJVKd19NKzRIty4CcTMJxHpNWd7EVIYw2Zar7LCVgA2YX+3
 eWwDCAbIOqWCg==
To: Liliana Marie Prikler <liliana.prikler@HIDDEN>,
 58569 <at> debbugs.gnu.org
Subject: Re: [PATCH] gnu packages gnome-console: Remove nautilus extension
In-Reply-To: <e6c3ddc1e9bd689ef6c7fa1764278309e02a229a.camel@HIDDEN>
References: <87sfjnad0i.fsf@HIDDEN>
 <e6c3ddc1e9bd689ef6c7fa1764278309e02a229a.camel@HIDDEN>
Date: Mon, 17 Oct 2022 18:20:16 +0200
Message-ID: <875ygie81r.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 58569
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Liliana Marie Prikler <liliana.prikler@HIDDEN> writes:

> Am Sonntag, dem 16.10.2022 um 19:34 +0200 schrieb M=C3=A1ja Tom=C3=A1=C5=
=A1ek:
>>=20
>> Hi,
>>=20
>> this patch removes the gnome-console nautilus extension as it crashes
>> nautilus (at least on my machine).
> I can confirm it working as intended on at least two separate machines,
> both configured=20

I have pinpointed the issue! I tried the debugging steps and suddenly
nautilus opened fine.

So, the issue is that I have some deffective version of
libkgx-nautilus.so, which does return NULL list.

But, if I provide a different version of gnome-console
(ie. --with-debug-info=3Dgnome-console) nautilus suddenly opens fine.

I have run multiple guix pulls, guix system reconfigure, guix gc
--verify=3Dcontents but it has not fixed it.

It even works when I use run guix shell --pure nautilus gnome-console.

I am now completely lost.




Information forwarded to guix-patches@HIDDEN:
bug#58569; Package guix-patches. Full text available.

Message received at 58569 <at> debbugs.gnu.org:


Received: (at 58569) by debbugs.gnu.org; 17 Oct 2022 08:18:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 17 04:18:17 2022
Received: from localhost ([127.0.0.1]:47172 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1okLKC-0003qP-NR
	for submit <at> debbugs.gnu.org; Mon, 17 Oct 2022 04:18:16 -0400
Received: from mailrelay.tugraz.at ([129.27.2.202]:50165)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1okLKA-0003q9-Ap
 for 58569 <at> debbugs.gnu.org; Mon, 17 Oct 2022 04:18:15 -0400
Received: from lprikler-laptop.ist.intra (gw.ist.tugraz.at [129.27.202.101])
 by mailrelay.tugraz.at (Postfix) with ESMTPSA id 4MrVHP4Dfmz3wVf;
 Mon, 17 Oct 2022 10:18:09 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tugraz.at;
 s=mailrelay; t=1665994689;
 bh=tiuE8RaVrFxpTl0UQQg6ou9/K4JI4vPNvQQc/N5CwJg=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=NRLk/OLq2NOwfNwg7yiWNtzqyQkhq5Xql+gASHMUSvhvshrYQKfLKHruDX/iQRO2J
 doE3pLHRONGM66zYjd4ra3sT66mv/qbx7fJmGKI400kxuOsH5I5nGviUYoy/EMvMwg
 h91YsMYYjFSD9dBS2+VE69bZzbpNP7d5ygg0KNNA=
Message-ID: <e6c3ddc1e9bd689ef6c7fa1764278309e02a229a.camel@HIDDEN>
Subject: Re: [PATCH] gnu packages gnome-console: Remove nautilus extension
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
To: =?UTF-8?Q?M=C3=A1ja_Tom=C3=A1=C5=A1ek?= <maya.tomasek@HIDDEN>, 
 58569 <at> debbugs.gnu.org
Date: Mon, 17 Oct 2022 10:18:08 +0200
In-Reply-To: <87sfjnad0i.fsf@HIDDEN>
References: <87sfjnad0i.fsf@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
User-Agent: Evolution 3.46.0 
MIME-Version: 1.0
X-TUG-Backscatter-control: waObeELIUl4ypBWmcn/8wQ
X-Spam-Scanner: SpamAssassin 3.003001 
X-Spam-Score-relay: -0.4
X-Scanned-By: MIMEDefang 2.74 on 129.27.10.116
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 58569
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Am Sonntag, dem 16.10.2022 um 19:34 +0200 schrieb M=C3=A1ja Tom=C3=A1=C5=A1=
ek:
>=20
> Hi,
>=20
> this patch removes the gnome-console nautilus extension as it crashes
> nautilus (at least on my machine).
I can confirm it working as intended on at least two separate machines,
both configured=20

> In my opinion it is safe to remove it, as this
> feature is implemented directly into nautilus-43 and the original
> code is purged from the gnome-console repo. (see
> https://gitlab.gnome.org/GNOME/nautilus/-/merge_requests/911=C2=A0and
> https://gitlab.gnome.org/GNOME/console/-/commit/c4bd2312f4b432a33810a8dcd=
f3cadabae5169d7
> )
>=20
> This sadly means, that in nautilus-42 there will be no "Open in
> Console", but the issue is on some code that is already deprecated in
> the Console repo. (I have studied gdb info and it appears that
> kgx_nautilus_get_background_items() returns a GList* that is { .next
> =3D NULL, .prev =3D NULL, .data =3D NULL } but nautilus does only perform=
 a
> check that GList* is NULL, otherwise it expects a valid list)
>=20
> I can maybe supply a patch to gnome-console, but I don't see a reason
> to.
In my opinion, it'd be better to find out why it crashes in the first
place.  See [1] for the breaking code.  My suspicion is that item ends
up NULL, which would be big if true.

Cheers

[1]
https://gitlab.gnome.org/GNOME/console/-/blob/42.2/nautilus/kgx-nautilus.c#=
L48




Information forwarded to guix-patches@HIDDEN:
bug#58569; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 16 Oct 2022 17:34:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 16 13:34:36 2022
Received: from localhost ([127.0.0.1]:46068 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ok7X1-0004pk-Oi
	for submit <at> debbugs.gnu.org; Sun, 16 Oct 2022 13:34:36 -0400
Received: from lists.gnu.org ([209.51.188.17]:36680)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maya.tomasek@HIDDEN>) id 1ok7X0-0004pc-1D
 for submit <at> debbugs.gnu.org; Sun, 16 Oct 2022 13:34:34 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:56160)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <maya.tomasek@HIDDEN>)
 id 1ok7Wz-0004zc-RF
 for guix-patches@HIDDEN; Sun, 16 Oct 2022 13:34:33 -0400
Received: from knopi.disroot.org ([178.21.23.139]:36674)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <maya.tomasek@HIDDEN>)
 id 1ok7Wx-0003m6-KR
 for guix-patches@HIDDEN; Sun, 16 Oct 2022 13:34:33 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 410614DC06
 for <guix-patches@HIDDEN>; Sun, 16 Oct 2022 19:34:26 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id 5kgBtzYXdGFY for <guix-patches@HIDDEN>;
 Sun, 16 Oct 2022 19:34:25 +0200 (CEST)
From: =?utf-8?B?TcOhamEgVG9tw6HFoWVr?= <maya.tomasek@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1665941664; bh=czKhZO7+zJsi2AD4vLh/zAUxNS6vRenSQxFcQtj6Y1U=;
 h=From:To:Subject:Date;
 b=XIqM/zW3cRS2n5xtXdUzQeSWf7+dcUAEuy+wxafnLjTb1uF7PlEVB27oWD/c/lu+V
 V8NQPKjWg8M+NX2MNra4qIvSJpr3OSYMn/WjmtqM6/BVek/hZXUyS5qI8uMwzd8Ims
 tLKIO1r4KE/fAPwSa69xGUrxOR9A8Qac010TIby5gClck8hSHrNBjBamX9Dn9lnBS6
 U5zxh2V+0mHFV4sFMzIzdfnoP9Cv9SE8CEGGjUuhU8BnGNrAvtPupkfulSRsRt4Rpj
 MGCJhZnTIeIdbLO9BHwnc3E9qsvSNxXAkbwCxL2zMH+XufPlPtkYsv7QtHN569REyZ
 tWZLv7ZzSfEMg==
To: guix-patches@HIDDEN
Subject: [PATCH] gnu packages gnome-console: Remove nautilus extension
Date: Sun, 16 Oct 2022 19:34:21 +0200
Message-ID: <87sfjnad0i.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
Received-SPF: pass client-ip=178.21.23.139;
 envelope-from=maya.tomasek@HIDDEN; helo=knopi.disroot.org
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

--=-=-=
Content-Type: text/plain


Hi,

this patch removes the gnome-console nautilus extension as it crashes nautilus
(at least on my machine). In my opinion it is safe to remove it, as this
feature is implemented directly into nautilus-43 and the original code is
purged from the gnome-console repo. (see
https://gitlab.gnome.org/GNOME/nautilus/-/merge_requests/911 and
https://gitlab.gnome.org/GNOME/console/-/commit/c4bd2312f4b432a33810a8dcdf3cadabae5169d7)

This sadly means, that in nautilus-42 there will be no "Open in Console", but
the issue is on some code that is already deprecated in the Console repo. (I
have studied gdb info and it appears that kgx_nautilus_get_background_items()
returns a GList* that is { .next = NULL, .prev = NULL, .data = NULL } but
nautilus does only perform a check that GList* is NULL, otherwise it expects a
valid list)

I can maybe supply a patch to gnome-console, but I don't see a reason to.

Kind regards,

Maya


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=0001-gnu-packages-gnome-console-Remove-nautilus-extension.patch

---
 gnu/packages/gnome.scm | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index fbaef9eb6e..c71894bcb9 100644
--- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -5445,8 +5445,7 @@ (define-public gnome-console
     (build-system meson-build-system)
     (arguments
      (list #:glib-or-gtk? #t
-           #:configure-flags #~(list "-Dtests=true"
-                                     "-Dnautilus=enabled")
+           #:configure-flags #~(list "-Dtests=true")
            #:phases #~(modify-phases %standard-phases
                         (add-after 'unpack 'patch-nautilus-extension-path
                           (lambda _
-- 
2.37.3


--=-=-=--




Acknowledgement sent to Mája Tomášek <maya.tomasek@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#58569; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 26 Nov 2022 13:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.